Subject: bug#40940: 27.0.91; project-query-replace-regexp stops too early

From: Dmitry Gutov <[email-masked]>
Date: Wed, 29 Apr 2020 17:50:53 +0300

On 29.04.2020 12:24, Eli Zaretskii wrote:
> First, this is broken if the shell doesn't expand ~/ or if the Emacs
> notion of the home directory is different from that of the shell.

The patch seems okay, but could you describe a case when the shell fails 
to expand '~/'? Is that about cmd.exe? Cygwin?

AFAICT the patch doesn't fix the same problem for remote hosts, is that 
a problem?